Bug 476386 - Review Request: perl-verilog - Verilog parsing routines
Summary: Review Request: perl-verilog - Verilog parsing routines
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: manuel wolfshant
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 476449 478759
TreeView+ depends on / blocked
 
Reported: 2008-12-13 22:40 UTC by Chitlesh GOORAH
Modified: 2009-01-08 04:17 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-08 04:17:02 UTC
wolfy: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Chitlesh GOORAH 2008-12-13 22:40:53 UTC
Spec URL: http://chitlesh.fedorapeople.org/RPMS/perl-verilog.spec
SRPM URL: http://chitlesh.fedorapeople.org/RPMS/perl-verilog-3.044-1.fc10.src.rpm
Description:
This package provides functions to support writing utilities
that use the Verilog language.

Comment 1 manuel wolfshant 2008-12-14 03:03:13 UTC
There are some missing BR:

+ /usr/bin/perl Makefile.PL INSTALLDIRS=vendor 'CP=/bin/cp -p' PREFIX=/usr

%Error: 'flex' must be installed to build

%Error: 'bison' must be installed to build
%Error: Exiting due to above missing dependencies.
error: Bad exit status from /var/tmp/rpm-tmp.pdWnhE (%build)


RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.pdWnhE (%build)


And according to https://fedoraproject.org/wiki/Licensing the license tag should be either Artistic(clarified) or Artistic 2.0, just "Artistic" is not valid. At the first glance, you should use  Artistic(clarified)

Comment 3 manuel wolfshant 2008-12-15 07:51:21 UTC
Are you targeting only F10 ? Because the src.rpm from #2 still does not build in rawhide: http://koji.fedoraproject.org/koji/taskinfo?taskID=998879

Note that according to http://koji.fedoraproject.org/koji/getfile?taskID=997866&name=build.log, "'CP' is not a known MakeMaker parameter name." and therefore your little trick to preserve timestamps when using cp is ignored.

http://koji.fedoraproject.org/koji/getfile?taskID=997866&name=perl-verilog-3.044-2.fc10.x86_64.rpm gives no less than 53 warnings in rpmlint, all of them being either "spurious-executable-perm" or "doc-file-dependency". Could you please fix that ? I do not think that bringing in perl(Test) or perl(Data::Dumper) is a good idea: people wanting to run the tests could install the dependencies manually.

A more delicate problem are the scripts named vpm and vppp. According to https://fedoraproject.org/wiki/PackageMaintainers/Packaging_Tricks#Use_of_common_namespace , commands whose names are shorter than 5 letters should be avoided. Fortunately vpm does not seem to conflict with anything, but vppp is also the name of the Virtual PPP project by packagestorm and is also used by http://www.linux-kheops.com/pub/vppp/vpppGB.html

Comment 4 Chitlesh GOORAH 2008-12-20 19:58:26 UTC
I've pushed this filename issue to upstream

http://www.veripool.org/boards/28/topics/show/53

I'll update the package once upstream notifies.

Comment 5 Chitlesh GOORAH 2009-01-03 19:24:17 UTC
Updates
http://chitlesh.fedorapeople.org/RPMS/perl-Verilog-3.100-1.fc10.src.rpm
http://chitlesh.fedorapeople.org/RPMS/perl-Verilog.spec

As from this %release:
- this package is named perl-Verilog and no longer perl-verilog. Thereby, following upstream namings and follows the namings of perl-Verilog-Codegen and perl-Verilog-Readmem
- upstream has renamed vpm and vppp as comment #3 pointerd
- test suites are not included.

Comment 6 manuel wolfshant 2009-01-03 21:23:43 UTC
Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines including the Perl specific items
 [x] Package successfully compiles and builds into binary rpms on at least one supported architecture.
     Tested on: devel/x86_64
 [x] Rpmlint output:
source RPM: empty
binary RPM:empty
 [x] Package is not relocatable.
 [x] Buildroot is correct (%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
 [x] Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
 [!] License field in the package spec file matches the actual license.
     License type according to spec: Artistic (same as perl)
     License type according to source: unclear, probably (GPL+ or Artistic). See also note 1
 [x] If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided in the spec URL.
     SHA1SUM of package: 14c8c0227f290e7358fa8bb12f86f03bf2255f8f Verilog-Perl-3.100.tar.gz
 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [!] Package does not contain duplicates in %files.
See note 2
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -rf %{buildroot}.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI application.
 [x] Package does not own files or directories owned by other packages.


=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: devel/x86_64
 [x] Package should compile and build into binary rpms on all supported architectures.
     Tested on: koji scratch build
 [?] Package functions as described.
 [-] Scriptlets must be sane, if used.
  [x] Package should compile and build into binary rpms on all supported architectures.
     Tested on: koji scratch build
 [?] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.
 [*] Make test is OK

======
Notes
======
1. It's a bit unclear to me what license the programmer wants to use. All source files written in Perl start with:
// Copyright 2000-2009 by Wilson Snyder.  This program is free software;
// you can redistribute it and/or modify it under the terms of either the GNU
// General Public License or the Perl Artistic License.
//
and end with:
 Copyright 2000-2009 by Wilson Snyder.  This package is free software; you
 can redistribute it and/or modify it under the terms of either the GNU
 Lesser General Public License or the Perl Artistic License.

 I am far from being an expert but IMHO using "(artistic or GPL+) and (artistic or LGPL+)" does not fly because GPL and LGPL are specified in the same file. I assume GPL+ takes precedence, but I strongly suggest to ask the author what's the real intent (and maybe also adding the corresponding GPL or LGPL license file to the tarball, too). Anyway, all the licenses involved are free, so I will not block the review because of this.

2. /usr/lib64/perl5/vendor_perl/5.10.0/x86_64-linux-thread-multi/auto/Verilog is listed twice. At the first glance it looks like removing the %{perl_vendorarch}/auto/Verilog line will fix this.


================
*** APPROVED *** but please take care of the above two problems before commit.
================

Comment 7 Chitlesh GOORAH 2009-01-05 22:24:20 UTC
#001:
Upstream said :

""They should all be Artistic or LGPL+; I'll clean it up.  I
think listing it as just "artistic" makes more sense as it
then matches other Perl packages."""


#002:
%{perl_vendorarch}/auto/Verilog
will be
%{perl_vendorarch}/auto/Verilog/*

thanks Manuel

Comment 8 Chitlesh GOORAH 2009-01-05 22:25:09 UTC
New Package CVS Request
=======================
Package Name: perl-Verilog
Short Description: Verilog parsing routines
Branches: F-9 F-10 EL-5
Owner: chitlesh

Comment 9 Kevin Fenzi 2009-01-07 01:28:54 UTC
cvs done.

Comment 10 Fedora Update System 2009-01-07 21:41:57 UTC
perl-Verilog-3.100-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/perl-Verilog-3.100-1.fc9

Comment 11 Fedora Update System 2009-01-07 21:42:01 UTC
perl-Verilog-3.100-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/perl-Verilog-3.100-1.fc10

Comment 12 Fedora Update System 2009-01-08 04:17:00 UTC
perl-Verilog-3.100-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2009-01-08 04:17:28 UTC
perl-Verilog-3.100-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.